Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.setup
Class SetupPathsAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
                  com.atlassian.bamboo.ww2.actions.setup.SetupPathsAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class SetupPathsAction

extends AbstractSetupAction

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`SetupPathsAction()`

Method Summary
`String` | `doDefault()`
`String` | `execute()`
`String` | `getAttachmentStorageType()`
`List` | `getAttachmentStorageTypes()`
`String` | `getBackupType()`
`List` | `getBackupTypes()`
`String` | `getConfirmPassword()`
`String` | `getEmail()`
`String` | `getFullName()`
`String` | `getPassword()`
`String` | `getSpecificBackupDir()`
`SystemInfo` | `getSystemInfo()`
`String` | `getUsername()`
`void` | `setAttachmentStorageType(String attachmentStorageType)`
`void` | `setAttachmentStorageTypes(List attachmentStorageTypes)`
`void` | `setBackupType(String backupType)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setConfirmPassword(String confirmPassword)`
`void` | `setEmail(String email)`
`void` | `setFullName(String fullName)`
`void` | `setPassword(String password)`
`void` | `setSpecificBackupDir(String specificBackupDir)`
`void` | `setUsername(String username)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
`getBootstrapManager, getSetupPersister, getSetupTypeInstall, setSetupPersister, setSetupTypeInstall`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### SetupPathsAction

    public SetupPathsAction()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### getBackupTypes

    public List getBackupTypes()

### getBackupType

    public String getBackupType()

### setBackupType

    public void setBackupType(String backupType)

### getSpecificBackupDir

    public String getSpecificBackupDir()

### setSpecificBackupDir

    public void setSpecificBackupDir(String specificBackupDir)

### getAttachmentStorageTypes

    public List getAttachmentStorageTypes()

### setAttachmentStorageTypes

    public void setAttachmentStorageTypes(List attachmentStorageTypes)

### getAttachmentStorageType

    public String getAttachmentStorageType()

### setAttachmentStorageType

    public void setAttachmentStorageType(String attachmentStorageType)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getConfirmPassword

    public String getConfirmPassword()

### setConfirmPassword

    public void setConfirmPassword(String confirmPassword)

### getFullName

    public String getFullName()

### setFullName

    public void setFullName(String fullName)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String email)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

### getSystemInfo

    public SystemInfo getSystemInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.